Subject: bug#68244: hash-table improvements

From: Stefan Kangas <[email-masked]>
Date: Sun, 21 Jan 2024 06:41:11 -0600

Mattias Engdegård <[email-masked]> writes:

> Maybe we should promote equal-including-properties to a first-class
> hash table test? It's defined as a user test in two places in the
> Emacs tree, and user tests are much slower than built-in ones.

It might be worth a try.  I see that it's used in the native compiler,
for example, and we're obviously very happy if we can make that stuff
more performant.